﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __InventoryHeader = LightSwitchApplication.InventoryHeader

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class InventoryHeader
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __InventoryHeader, __InventoryHeader.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the InventoryHeader entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __InventoryHeader))
            MyBase.New(entitySet)
            
            __InventoryHeader.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InventoryHeader_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InventoryHeader_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __InventoryHeader.DetailsClass.GetValue(Me, __InventoryHeader.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __InventoryHeader.DetailsClass.SetValue(Me, __InventoryHeader.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __InventoryHeader.DetailsClass.GetValue(Me, __InventoryHeader.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __InventoryHeader.DetailsClass.SetValue(Me, __InventoryHeader.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ReOrderLevel As Integer
            Get
                Return __InventoryHeader.DetailsClass.GetValue(Me, __InventoryHeader.DetailsClass.PropertySetProperties.ReOrderLevel)
            End Get
            Set
                __InventoryHeader.DetailsClass.SetValue(Me, __InventoryHeader.DetailsClass.PropertySetProperties.ReOrderLevel, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ReOrderLevel_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ReOrderLevel_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ReOrderLevel_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property InventoryTotal As Double
            Get
                Return __InventoryHeader.DetailsClass.GetValue(Me, __InventoryHeader.DetailsClass.PropertySetProperties.InventoryTotal)
            End Get
            Set
                __InventoryHeader.DetailsClass.SetValue(Me, __InventoryHeader.DetailsClass.PropertySetProperties.InventoryTotal, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InventoryTotal_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InventoryTotal_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InventoryTotal_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property ProductName As String
            Get
                Return __InventoryHeader.DetailsClass.GetValue(Me, __InventoryHeader.DetailsClass.PropertySetProperties.ProductName)
            End Get
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ProductName_Compute(ByRef result As String)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ProductName_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Product As Global.LightSwitchApplication.Product
            Get
                Return __InventoryHeader.DetailsClass.GetValue(Me, __InventoryHeader.DetailsClass.PropertySetProperties.Product)
            End Get
            Set
                __InventoryHeader.DetailsClass.SetValue(Me, __InventoryHeader.DetailsClass.PropertySetProperties.Product, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Product_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Product_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Product_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property InventoryDetails As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.InventoryDetail)
            Get
                Return __InventoryHeader.DetailsClass.GetValue(Me, __InventoryHeader.DetailsClass.PropertySetProperties.InventoryDetails)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property InventoryDetailsQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.InventoryDetail)
            Get
                Return __InventoryHeader.DetailsClass.GetQuery(Me, __InventoryHeader.DetailsClass.PropertySetProperties.InventoryDetails)
            End Get
        End Property

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __InventoryHeader, _
                __InventoryHeader.DetailsClass, _
                __InventoryHeader.DetailsClass.IImplementation, _
                __InventoryHeader.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __InventoryHeader, __InventoryHeader.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __InventoryHeader, __InventoryHeader.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __InventoryHeader.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __InventoryHeaderEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __InventoryHeader, __InventoryHeader.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __InventoryHeader, __InventoryHeader.DetailsClass).Entry( _
                    AddressOf __InventoryHeader.DetailsClass.__InventoryHeader_CreateNew, _
                    AddressOf __InventoryHeader.DetailsClass.__InventoryHeader_Created, _
                    AddressOf __InventoryHeader.DetailsClass.__InventoryHeader_AllowSaveWithErrors)
            Private Shared Function __InventoryHeader_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __InventoryHeader)) As __InventoryHeader
                Return New __InventoryHeader(es)
            End Function
            Private Shared Sub __InventoryHeader_Created(e As __InventoryHeader)
                e.InventoryHeader_Created()
            End Sub
            Private Shared Function __InventoryHeader_AllowSaveWithErrors(e As __InventoryHeader) As Boolean
                Dim result As Boolean = False
                e.InventoryHeader_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __InventoryHeader, __InventoryHeader.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __InventoryHeader, __InventoryHeader.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __InventoryHeader.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __InventoryHeader, __InventoryHeader.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InventoryHeader.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InventoryHeader.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property ReOrderLevel As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InventoryHeader.DetailsClass.PropertySetProperties.ReOrderLevel),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property InventoryTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Double)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InventoryHeader.DetailsClass.PropertySetProperties.InventoryTotal),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Double))
                    End Get
                End Property
                
                Public ReadOnly Property ProductName As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InventoryHeader.DetailsClass.PropertySetProperties.ProductName),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Product As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Global.LightSwitchApplication.Product)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InventoryHeader.DetailsClass.PropertySetProperties.Product),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Global.LightSwitchApplication.Product))
                    End Get
                End Property
                
                Public ReadOnly Property InventoryDetails As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Global.LightSwitchApplication.InventoryDetail)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InventoryHeader.DetailsClass.PropertySetProperties.InventoryDetails),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Global.LightSwitchApplication.InventoryDetail))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property ReOrderLevel As Integer
                Shadows Property InventoryTotal As Double
                Shadows Property Product As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                Shadows ReadOnly Property InventoryDetails As Global.System.Collections.IEnumerable
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InventoryHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Integer).Data), d As __InventoryHeader.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __InventoryHeader) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __InventoryHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __InventoryHeader.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __InventoryHeader.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __InventoryHeader)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InventoryHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Byte()).Data), d As __InventoryHeader.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __InventoryHeader) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __InventoryHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __InventoryHeader.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __InventoryHeader.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __InventoryHeader)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ReOrderLevel As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Integer).Entry( _
                        "ReOrderLevel", _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._ReOrderLevel_Stub, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._ReOrderLevel_ComputeIsReadOnly, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._ReOrderLevel_Validate, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._ReOrderLevel_GetImplementationValue, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._ReOrderLevel_SetImplementationValue, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._ReOrderLevel_OnValueChanged)
                Private Shared Sub _ReOrderLevel_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InventoryHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Integer).Data), d As __InventoryHeader.DetailsClass, sf As Object)
                    c(d, d._ReOrderLevel, sf)
                End Sub
                Private Shared Function _ReOrderLevel_ComputeIsReadOnly(e As __InventoryHeader) As Boolean
                    Dim result As Boolean = False
                    e.ReOrderLevel_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ReOrderLevel_Validate(e As __InventoryHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ReOrderLevel_Validate(r)
                End Sub
                Private Shared Function _ReOrderLevel_GetImplementationValue(d As __InventoryHeader.DetailsClass) As Integer
                    Return d.ImplementationEntity.ReOrderLevel
                End Function
                Private Shared Sub _ReOrderLevel_SetImplementationValue(d As __InventoryHeader.DetailsClass, v As Integer)
                    d.ImplementationEntity.ReOrderLevel = v
                End Sub
                Private Shared Sub _ReOrderLevel_OnValueChanged(e As __InventoryHeader)
                    e.ReOrderLevel_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InventoryTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Double).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Double).Entry( _
                        "InventoryTotal", _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._InventoryTotal_Stub, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._InventoryTotal_ComputeIsReadOnly, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._InventoryTotal_Validate, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._InventoryTotal_GetImplementationValue, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._InventoryTotal_SetImplementationValue, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._InventoryTotal_OnValueChanged)
                Private Shared Sub _InventoryTotal_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InventoryHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Double).Data), d As __InventoryHeader.DetailsClass, sf As Object)
                    c(d, d._InventoryTotal, sf)
                End Sub
                Private Shared Function _InventoryTotal_ComputeIsReadOnly(e As __InventoryHeader) As Boolean
                    Dim result As Boolean = False
                    e.InventoryTotal_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _InventoryTotal_Validate(e As __InventoryHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.InventoryTotal_Validate(r)
                End Sub
                Private Shared Function _InventoryTotal_GetImplementationValue(d As __InventoryHeader.DetailsClass) As Double
                    Return d.ImplementationEntity.InventoryTotal
                End Function
                Private Shared Sub _InventoryTotal_SetImplementationValue(d As __InventoryHeader.DetailsClass, v As Double)
                    d.ImplementationEntity.InventoryTotal = v
                End Sub
                Private Shared Sub _InventoryTotal_OnValueChanged(e As __InventoryHeader)
                    e.InventoryTotal_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ProductName As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, String).Entry( _
                        "ProductName", _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._ProductName_Stub, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._ProductName_Validate, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._ProductName_ComputeValue)
                Private Shared Sub _ProductName_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InventoryHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, String).Data), d As __InventoryHeader.DetailsClass, sf As Object)
                    c(d, d._ProductName, sf)
                End Sub
                Private Shared Sub _ProductName_Validate(e As __InventoryHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ProductName_Validate(r)
                End Sub
                Private Shared Function _ProductName_ComputeValue(e As __InventoryHeader) As String
                    Dim value As String = Nothing
                    e.ProductName_Compute(value)
                    Return value
                End Function
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Product As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Global.LightSwitchApplication.Product).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Global.LightSwitchApplication.Product).Entry( _
                        "Product", _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._Product_Stub, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._Product_ComputeIsReadOnly, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._Product_Validate, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._Product_GetCoreImplementationValue, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._Product_GetImplementationValue, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._Product_SetImplementationValue, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._Product_Refresh, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._Product_OnValueChanged)
                Private Shared Sub _Product_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InventoryHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Global.LightSwitchApplication.Product).Data), d As __InventoryHeader.DetailsClass, sf As Object)
                    c(d, d._Product, sf)
                End Sub
                Private Shared Function _Product_ComputeIsReadOnly(e As __InventoryHeader) As Boolean
                    Dim result As Boolean = False
                    e.Product_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Product_Validate(e As __InventoryHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Product_Validate(r)
                End Sub
                Private Shared Function _Product_GetCoreImplementationValue(d as __InventoryHeader.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.Product
                End Function
                Private Shared Function _Product_GetImplementationValue(d as __InventoryHeader.DetailsClass) As Global.LightSwitchApplication.Product
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.Product, Global.LightSwitchApplication.Product.DetailsClass)(__InventoryHeader.DetailsClass.PropertySetProperties.Product, d._Product)
                End Function
                Private Shared Sub _Product_SetImplementationValue(d As __InventoryHeader.DetailsClass, v As Global.LightSwitchApplication.Product)
                    d.SetImplementationValue(__InventoryHeader.DetailsClass.PropertySetProperties.Product, d._Product, Sub(i, ev) i.Product = ev, v)
                End Sub
                Private Shared Sub _Product_Refresh(d As __InventoryHeader.DetailsClass)
                    d.RefreshNavigationProperty(__InventoryHeader.DetailsClass.PropertySetProperties.Product, d._Product)
                End Sub
                Private Shared Sub _Product_OnValueChanged(e As __InventoryHeader)
                    e.Product_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InventoryDetails As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Global.LightSwitchApplication.InventoryDetail).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Global.LightSwitchApplication.InventoryDetail).Entry( _
                        "InventoryDetails", _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._InventoryDetails_Stub, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._InventoryDetails_GetReferencedEntities, _
                        AddressOf __InventoryHeader.DetailsClass.PropertySetProperties._InventoryDetails_GetEntityCollection)
                Private Shared Sub _InventoryDetails_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InventoryHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Global.LightSwitchApplication.InventoryDetail).Data), d As __InventoryHeader.DetailsClass, sf As Object)
                    c(d, d._InventoryDetails, sf)
                End Sub
                Private Shared Function _InventoryDetails_GetReferencedEntities(d As __InventoryHeader.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.InventoryDetail)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.InventoryDetail, Global.LightSwitchApplication.InventoryDetail.DetailsClass)(__InventoryHeader.DetailsClass.PropertySetProperties.InventoryDetails, d._InventoryDetails)
                End Function
                Private Shared Function _InventoryDetails_GetEntityCollection(d As __InventoryHeader.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.InventoryDetails
                End Function
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ReOrderLevel As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InventoryTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Double).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ProductName As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Product As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Global.LightSwitchApplication.Product).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InventoryDetails As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InventoryHeader, __InventoryHeader.DetailsClass, Global.LightSwitchApplication.InventoryDetail).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
